Bug 227238 - emulators/virtualbox-ose-additions: Add support for xorg-server 1.19.x
Summary: emulators/virtualbox-ose-additions: Add support for xorg-server 1.19.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jung-uk Kim
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2018-04-03 01:53 UTC by Dmitri Goutnik
Modified: 2019-02-28 22:36 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (vbox)
dg: maintainer-feedback?


Attachments
patch file (4.60 KB, patch)
2018-04-03 01:53 UTC, Dmitri Goutnik
no flags Details | Diff
Use system header files (15.06 KB, patch)
2019-02-13 01:33 UTC, Jung-uk Kim
no flags Details | Diff
Use system header files (14.97 KB, patch)
2019-02-13 04:07 UTC, Jung-uk Kim
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitri Goutnik 2018-04-03 01:53:11 UTC
Created attachment 192154 [details]
patch file

See bug #196678

QA:
  poudriere testport: OK (11a, 10i)
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-02-12 14:54:07 UTC
ping!
Comment 2 Jung-uk Kim freebsd_committer 2019-02-13 01:33:35 UTC
Created attachment 201970 [details]
Use system header files

Please try this patch instead.
Comment 3 Jung-uk Kim freebsd_committer 2019-02-13 04:07:25 UTC
Created attachment 201974 [details]
Use system header files

There was a typo in the previous version.  Sorry.
Comment 4 commit-hook freebsd_committer 2019-02-28 22:34:44 UTC
A commit references this bug:

Author: jkim
Date: Thu Feb 28 22:33:52 UTC 2019
New revision: 494214
URL: https://svnweb.freebsd.org/changeset/ports/494214

Log:
  Use system X.Org header files instead of the bundled files.

  PR:		227238

Changes:
  head/emulators/virtualbox-ose/files/extrapatch-src-VBox-Additions-x11-vboxvideo-Makefile.kmk
  head/emulators/virtualbox-ose/files/extrapatch-src-VBox-Additions-x11-x11include-xorg-server-1.17.1-compiler.h
  head/emulators/virtualbox-ose/files/patch-src-VBox-Additions-x11-vboxmouse-Makefile.kmk
  head/emulators/virtualbox-ose/files/patch-src-VBox-Additions-x11-x11include-xorg-server-1.16.0-xf86Xinput.h
  head/emulators/virtualbox-ose/files/patch-src_VBox_Additions_x11_vboxmouse_Makefile.kmk
  head/emulators/virtualbox-ose/files/patch-src_VBox_Additions_x11_vboxvideo_Makefile.kmk
  head/emulators/virtualbox-ose-additions/Makefile
Comment 5 Jung-uk Kim freebsd_committer 2019-02-28 22:36:04 UTC
It should be fixed now.  Thanks!